curl --request GET \
--url https://api.smokeball.com/matters/{matterId}/documents/files/{fileId}/download \
--header 'Authorization: <api-key>' \
--header 'x-api-key: <api-key>'import requests
url = "https://api.smokeball.com/matters/{matterId}/documents/files/{fileId}/download"
headers = {
"x-api-key": "<api-key>",
"Authorization": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>', Authorization: '<api-key>'}};
fetch('https://api.smokeball.com/matters/{matterId}/documents/files/{fileId}/download', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"fileId": "b471682e-fa17-4e46-b7fe-9b2b8fdcb3c2",
"name": "court filing",
"fileExtension": ".pdf",
"downloadUrl": "https://example-bucket.s3.amazonaws.com/files/2f1c9a3e-6b1d-4c7e-9a0f-1d2e3f4a5b6c?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Expires=3600&X-Amz-Signature=...",
"expiry": "2022-04-23T14:30:00Z",
"sizeBytes": 19104768
}"<string>"{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}"<string>"Get download url for a file
Returns a presigned download URL for the current version of the file, or for a specific version when āversionIdā is supplied. The URL is valid for 1 hour. The response āContent-Dispositionā uses the file name and extension.
Path Parameters
Unique identifier (GUID) of the matter.
Unique identifier (GUID) of the file.
Query Parameters
Optional. Unique identifier of the file version to download. Must be a version of this file. Defaults to the current version.
Response
When request is successful. Returns a 'DownloadFileInfo' object.
Unique identifier of the requested file
"b471682e-fa17-4e46-b7fe-9b2b8fdcb3c2"
Name of the file, excluding file extension.
"court filing"
Extension of the file.
".pdf"
Temporary presigned URL to download the file content with an HTTP GET request. Valid for 1 hour from the time of the API call (see Expiry).
"https://example-bucket.s3.amazonaws.com/files/2f1c9a3e-6b1d-4c7e-9a0f-1d2e3f4a5b6c?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Expires=3600&X-Amz-Signature=..."
UTC date/time when the download link is no longer accessible (1 hour after issue)
"2022-04-23T14:30:00Z"
Size of the content behind DownloadUrl (in bytes). For the extracted text endpoint this is the size of the extracted text, not of the original file.
19104768